export declare const eslintBaseRules: {
    'no-console': number;
    'accessor-pairs': number;
    'class-methods-use-this': number;
    'consistent-return': number;
    curly: number;
    'default-case': number;
    'dot-location': number;
    'dot-notation': number;
    eqeqeq: number;
    'guard-for-in': number;
    'no-alert': number;
    'no-caller': number;
    'no-div-regex': number;
    'no-else-return': number;
    'no-eval': number;
    'no-extend-native': number;
    'no-extra-bind': number;
    'no-extra-label': number;
    'no-floating-decimal': number;
    'no-implicit-coercion': number;
    'no-implicit-globals': number;
    'no-lone-blocks': number;
    'no-loop-func': number;
    'no-multi-spaces': number;
    'no-new-wrappers': number;
    'no-octal-escape': number;
    'no-param-reassign': number;
    'no-proto': number;
    'no-return-assign': number;
    'no-return-await': number;
    'no-sequences': number;
    'no-unused-expressions': number;
    'no-useless-return': number;
    radix: number;
    'require-await': number;
    'wrap-iife': (string | number)[];
    'no-undef-init': number;
    'no-tabs': number;
    'no-mixed-spaces-and-tabs': number;
    'array-bracket-newline': (number | {
        multiline: boolean;
    })[];
    'array-bracket-spacing': (string | number)[];
    'array-element-newline': (number | {
        minItems: number;
    })[];
    'block-spacing': number;
    'brace-style': number;
    camelcase: number;
    'comma-dangle': (number | {
        arrays: string;
        objects: string;
        imports: string;
        exports: string;
        functions: string;
    })[];
    'comma-style': (string | number)[];
    'computed-property-spacing': (string | number)[];
    'eol-last': number;
    'func-call-spacing': (string | number)[];
    'function-paren-newline': number;
    'implicit-arrow-linebreak': (string | number)[];
    indent: (string | number | {
        SwitchCase: number;
        ignoredNodes: string[];
    })[];
    'jsx-quotes': (string | number)[];
    'key-spacing': number;
    'keyword-spacing': (number | {
        before: boolean;
        after: boolean;
    })[];
    'linebreak-style': (string | number)[];
    'lines-around-comment': (number | {
        beforeLineComment: boolean;
        beforeBlockComment: boolean;
        allowClassStart: boolean;
        allowObjectStart: boolean;
        allowBlockStart: boolean;
        allowArrayStart: boolean;
    })[];
    'lines-between-class-members': (string | number)[];
    'new-cap': number;
    'new-parens': number;
    'newline-per-chained-call': (number | {
        ignoreChainWithDepth: number;
    })[];
    'no-lonely-if': number;
    'no-multiple-empty-lines': (number | {
        max: number;
        maxEOF: number;
        maxBOF: number;
    })[];
    'no-trailing-spaces': (number | {
        skipBlankLines: boolean;
        ignoreComments: boolean;
    })[];
    'no-unneeded-ternary': number;
    'no-whitespace-before-property': number;
    'nonblock-statement-body-position': number;
    'object-curly-newline': (number | {
        ObjectExpression: {
            multiline: boolean;
            minProperties: number;
        };
        ImportDeclaration: string;
        ExportDeclaration: string;
    })[];
    'object-curly-spacing': (string | number | {
        arraysInObjects: boolean;
        objectsInObjects: boolean;
    })[];
    'object-property-newline': (number | {
        allowAllPropertiesOnSameLine: boolean;
    })[];
    'one-var': number;
    'one-var-declaration-per-line': number;
    'operator-assignment': number;
    'operator-linebreak': number;
    'padded-blocks': (string | number)[];
    'prefer-object-spread': number;
    'quote-props': (string | number | {
        unnecessary: boolean;
        numbers: boolean;
    })[];
    quotes: (string | number)[];
    semi: number;
    'semi-spacing': number;
    'semi-style': (string | number)[];
    'space-before-blocks': number;
    'space-before-function-paren': (string | number)[];
    'space-in-parens': (string | number)[];
    'space-infix-ops': number;
    'space-unary-ops': (number | {
        words: boolean;
        nonwords: boolean;
    })[];
    'switch-colon-spacing': (number | {
        before: boolean;
        after: boolean;
    })[];
    'template-tag-spacing': number;
    'comma-spacing': (number | {
        before: boolean;
        after: boolean;
    })[];
    'no-prototype-builtins': number;
    'spaced-comment': number;
    'unicode-bom': (string | number)[];
    'no-useless-escape': number;
    'getter-return': number;
    'no-unused-vars': number;
    'no-redeclare': number;
    'no-undef': number;
    'no-use-before-define': number;
    'max-len': number;
    'no-labels': number;
    'no-new-func': number;
    'no-script-url': number;
    'no-with': number;
    'no-self-assign': number;
    'arrow-parens': (string | number)[];
    'arrow-spacing': number;
    'generator-star-spacing': (string | number)[];
    'no-confusing-arrow': (number | {
        allowParens: boolean;
    })[];
    'no-useless-computed-key': number;
    'no-useless-rename': number;
    'no-var': number;
    'object-shorthand': (string | number)[];
    'prefer-arrow-callback': number;
    'prefer-const': number;
    'prefer-spread': number;
    'prefer-template': number;
    'rest-spread-spacing': (string | number)[];
    'sort-imports': number;
    'yield-star-spacing': (string | number)[];
};
