export declare const eslintJsxAndHooksRules: {
    'react-hooks/rules-of-hooks': number;
    'react/require-default-props': number;
    'react/no-unused-state': number;
    'react/no-unused-prop-types': number;
    'react/prop-types': number;
    'react/forbid-prop-types': number;
    'react/no-danger': number;
    'react/destructuring-assignment': number;
    'react/no-multi-comp': number;
    'react/prefer-stateless-function': number;
    'react/jsx-filename-extension': (number | {
        extensions: string[];
    })[];
    'jsx-a11y/no-static-element-interactions': number;
    'jsx-a11y/anchor-has-content': number;
    'jsx-a11y/click-events-have-key-events': number;
    'jsx-a11y/anchor-is-valid': number;
    'react/self-closing-comp': (number | {
        component: boolean;
        html: boolean;
    })[];
    'react/jsx-boolean-value': number;
    'react/no-array-index-key': number;
    'react/jsx-wrap-multilines': (number | {
        declaration: string;
        assignment: string;
        return: string;
        arrow: string;
        condition: string;
        logical: string;
        prop: string;
    })[];
    'react/jsx-uses-react': number;
    'react/jsx-uses-vars': number;
    'react/button-has-type': number;
    'react/no-access-state-in-setstate': number;
    'react/no-direct-mutation-state': number;
    'react/no-string-refs': number;
    'react/no-typos': number;
    'react/no-unknown-property': number;
    'react/no-unsafe': number;
    'react/prefer-es6-class': number;
    'react/sort-comp': (number | {
        order: string[];
        groups: {
            lifecycle: string[];
        };
    })[];
    'react/jsx-closing-bracket-location': (string | number)[];
    'react/jsx-closing-tag-location': number;
    'react/jsx-curly-brace-presence': (string | number)[];
    'react/jsx-curly-newline': number;
    'react/jsx-curly-spacing': (number | {
        when: string;
    })[];
    'react/jsx-equals-spacing': (string | number)[];
    'react/jsx-fragments': number;
    'react/jsx-first-prop-new-line': (string | number)[];
    'react/jsx-handler-names': number;
    'react/jsx-indent': number[];
    'react/jsx-indent-props': number[];
    'react/jsx-key': number;
    'react/jsx-max-props-per-line': (number | {
        maximum: number;
        when: string;
    })[];
    'react/jsx-no-duplicate-props': number;
    'react/jsx-no-script-url': (number | {
        name: string;
        props: string[];
    }[])[];
    'react/jsx-no-target-blank': number;
    'react/jsx-no-useless-fragment': number;
    'react/jsx-one-expression-per-line': number;
    'react/jsx-pascal-case': number;
    'react/jsx-props-no-multi-spaces': number;
    'react/jsx-sort-props': number;
    'react/jsx-tag-spacing': (number | {
        closingSlash: string;
        beforeSelfClosing: string;
        afterOpening: string;
        beforeClosing: string;
    })[];
};
