var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/eslintNode.ts
var eslintNode_exports = {};
__export(eslintNode_exports, {
  eslintNode: () => eslintNode
});
module.exports = __toCommonJS(eslintNode_exports);
var import_eslintBaseRules = require("./eslintBaseRules");
var import_eslintImportRules = require("./eslintImportRules");
var import_eslintTypescriptRules = require("./eslintTypescriptRules");
var eslintNode = {
  root: true,
  parser: "babel-eslint",
  extends: ["eslint:recommended"],
  plugins: [
    "import",
    "@typescript-eslint"
  ],
  env: {
    worker: true,
    browser: true,
    commonjs: true,
    es6: true,
    jest: true,
    node: true
  },
  parserOptions: {
    sourceType: "module",
    ecmaFeatures: {
      ecmaVersion: 2018,
      legacyDecorators: true
    }
  },
  settings: { react: { version: "detect" } },
  rules: {
    ...import_eslintBaseRules.eslintBaseRules,
    ...import_eslintImportRules.eslintImportRules
  },
  overrides: [
    {
      files: ["**/*.ts"],
      parser: "@typescript-eslint/parser",
      parserOptions: {
        sourceType: "module",
        ecmaFeatures: {
          ecmaVersion: 2018,
          legacyDecorators: true
        },
        // typescript-eslint specific options
        warnOnUnsupportedTypeScriptVersion: true
      },
      extends: ["plugin:@typescript-eslint/recommended"],
      plugins: ["@typescript-eslint"],
      rules: import_eslintTypescriptRules.eslintTypescriptRules
    }
  ]
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  eslintNode
});
//# sourceMappingURL=eslintNode.js.map
