export declare const eslintReact: {
    root: boolean;
    parser: string;
    extends: string[];
    plugins: string[];
    env: {
        browser: boolean;
        commonjs: boolean;
        es6: boolean;
        jest: boolean;
        node: boolean;
    };
    parserOptions: {
        ecmaVersion: number;
        sourceType: string;
        ecmaFeatures: {
            legacyDecorators: boolean;
            jsx: boolean;
        };
    };
    settings: {
        react: {
            version: string;
        };
    };
    rules: {
        'react-hooks/rules-of-hooks': number;
        'react/require-default-props': number;
        'react/no-unused-state': number;
        'react/no-unused-prop-types': number;
        'react/prop-types': number;
        'react/forbid-prop-types': number;
        'react/no-danger': number;
        'react/destructuring-assignment': number;
        'react/no-multi-comp': number;
        'react/prefer-stateless-function': number;
        'react/jsx-filename-extension': (number | {
            extensions: string[];
        })[];
        'jsx-a11y/no-static-element-interactions': number;
        'jsx-a11y/anchor-has-content': number;
        'jsx-a11y/click-events-have-key-events': number;
        'jsx-a11y/anchor-is-valid': number;
        'react/self-closing-comp': (number | {
            component: boolean;
            html: boolean;
        })[];
        'react/jsx-boolean-value': number;
        'react/no-array-index-key': number;
        'react/jsx-wrap-multilines': (number | {
            declaration: string;
            assignment: string;
            return: string;
            arrow: string;
            condition: string;
            logical: string;
            prop: string;
        })[];
        'react/jsx-uses-react': number;
        'react/jsx-uses-vars': number;
        'react/button-has-type': number;
        'react/no-access-state-in-setstate': number;
        'react/no-direct-mutation-state': number;
        'react/no-string-refs': number;
        'react/no-typos': number;
        'react/no-unknown-property': number;
        'react/no-unsafe': number;
        'react/prefer-es6-class': number;
        'react/sort-comp': (number | {
            order: string[];
            groups: {
                lifecycle: string[];
            };
        })[];
        'react/jsx-closing-bracket-location': (string | number)[];
        'react/jsx-closing-tag-location': number;
        'react/jsx-curly-brace-presence': (string | number)[];
        'react/jsx-curly-newline': number;
        'react/jsx-curly-spacing': (number | {
            when: string;
        })[];
        'react/jsx-equals-spacing': (string | number)[];
        'react/jsx-fragments': number;
        'react/jsx-first-prop-new-line': (string | number)[];
        'react/jsx-handler-names': number;
        'react/jsx-indent': number[];
        'react/jsx-indent-props': number[];
        'react/jsx-key': number;
        'react/jsx-max-props-per-line': (number | {
            maximum: number;
            when: string;
        })[];
        'react/jsx-no-duplicate-props': number;
        'react/jsx-no-script-url': (number | {
            name: string;
            props: string[];
        }[])[];
        'react/jsx-no-target-blank': number;
        'react/jsx-no-useless-fragment': number;
        'react/jsx-one-expression-per-line': number;
        'react/jsx-pascal-case': number;
        'react/jsx-props-no-multi-spaces': number;
        'react/jsx-sort-props': number;
        'react/jsx-tag-spacing': (number | {
            closingSlash: string;
            beforeSelfClosing: string;
            afterOpening: string;
            beforeClosing: string;
        })[];
        'import/order': string;
        'import/no-unresolved': string;
        'import/named': string;
        'import/no-absolute-path': string;
        'import/no-dynamic-require': string;
        'import/no-self-import': string;
        'import/no-cycle': string;
        'import/no-useless-path-segments': string;
        'import/first': string;
        'import/newline-after-import': string;
        'import/no-duplicates': string;
        'no-console': number;
        'accessor-pairs': number;
        'class-methods-use-this': number;
        'consistent-return': number;
        curly: number;
        'default-case': number;
        'dot-location': number;
        'dot-notation': number;
        eqeqeq: number;
        'guard-for-in': number;
        'no-alert': number;
        'no-caller': number;
        'no-div-regex': number;
        'no-else-return': number;
        'no-eval': number;
        'no-extend-native': number;
        'no-extra-bind': number;
        'no-extra-label': number;
        'no-floating-decimal': number;
        'no-implicit-coercion': number;
        'no-implicit-globals': number;
        'no-lone-blocks': number;
        'no-loop-func': number;
        'no-multi-spaces': number;
        'no-new-wrappers': number;
        'no-octal-escape': number;
        'no-param-reassign': number;
        'no-proto': number;
        'no-return-assign': number;
        'no-return-await': number;
        'no-sequences': number;
        'no-unused-expressions': number;
        'no-useless-return': number;
        radix: number;
        'require-await': number;
        'wrap-iife': (string | number)[];
        'no-undef-init': number;
        'no-tabs': number;
        'no-mixed-spaces-and-tabs': number;
        'array-bracket-newline': (number | {
            multiline: boolean;
        })[];
        'array-bracket-spacing': (string | number)[];
        'array-element-newline': (number | {
            minItems: number;
        })[];
        'block-spacing': number;
        'brace-style': number;
        camelcase: number;
        'comma-dangle': (number | {
            arrays: string;
            objects: string;
            imports: string;
            exports: string;
            functions: string;
        })[];
        'comma-style': (string | number)[];
        'computed-property-spacing': (string | number)[];
        'eol-last': number;
        'func-call-spacing': (string | number)[];
        'function-paren-newline': number;
        'implicit-arrow-linebreak': (string | number)[];
        indent: (string | number | {
            SwitchCase: number;
            ignoredNodes: string[];
        })[];
        'jsx-quotes': (string | number)[];
        'key-spacing': number;
        'keyword-spacing': (number | {
            before: boolean;
            after: boolean;
        })[];
        'linebreak-style': (string | number)[];
        'lines-around-comment': (number | {
            beforeLineComment: boolean;
            beforeBlockComment: boolean;
            allowClassStart: boolean;
            allowObjectStart: boolean;
            allowBlockStart: boolean;
            allowArrayStart: boolean;
        })[];
        'lines-between-class-members': (string | number)[];
        'new-cap': number;
        'new-parens': number;
        'newline-per-chained-call': (number | {
            ignoreChainWithDepth: number;
        })[];
        'no-lonely-if': number;
        'no-multiple-empty-lines': (number | {
            max: number;
            maxEOF: number;
            maxBOF: number;
        })[];
        'no-trailing-spaces': (number | {
            skipBlankLines: boolean;
            ignoreComments: boolean;
        })[];
        'no-unneeded-ternary': number;
        'no-whitespace-before-property': number;
        'nonblock-statement-body-position': number;
        'object-curly-newline': (number | {
            ObjectExpression: {
                multiline: boolean;
                minProperties: number;
            };
            ImportDeclaration: string;
            ExportDeclaration: string;
        })[];
        'object-curly-spacing': (string | number | {
            arraysInObjects: boolean;
            objectsInObjects: boolean;
        })[];
        'object-property-newline': (number | {
            allowAllPropertiesOnSameLine: boolean;
        })[];
        'one-var': number;
        'one-var-declaration-per-line': number;
        'operator-assignment': number;
        'operator-linebreak': number;
        'padded-blocks': (string | number)[];
        'prefer-object-spread': number;
        'quote-props': (string | number | {
            unnecessary: boolean;
            numbers: boolean;
        })[];
        quotes: (string | number)[];
        semi: number;
        'semi-spacing': number;
        'semi-style': (string | number)[];
        'space-before-blocks': number;
        'space-before-function-paren': (string | number)[];
        'space-in-parens': (string | number)[];
        'space-infix-ops': number;
        'space-unary-ops': (number | {
            words: boolean;
            nonwords: boolean;
        })[];
        'switch-colon-spacing': (number | {
            before: boolean;
            after: boolean;
        })[];
        'template-tag-spacing': number;
        'comma-spacing': (number | {
            before: boolean;
            after: boolean;
        })[];
        'no-prototype-builtins': number;
        'spaced-comment': number;
        'unicode-bom': (string | number)[];
        'no-useless-escape': number;
        'getter-return': number;
        'no-unused-vars': number;
        'no-redeclare': number;
        'no-undef': number;
        'no-use-before-define': number;
        'max-len': number;
        'no-labels': number;
        'no-new-func': number;
        'no-script-url': number;
        'no-with': number;
        'no-self-assign': number;
        'arrow-parens': (string | number)[];
        'arrow-spacing': number;
        'generator-star-spacing': (string | number)[];
        'no-confusing-arrow': (number | {
            allowParens: boolean;
        })[];
        'no-useless-computed-key': number;
        'no-useless-rename': number;
        'no-var': number;
        'object-shorthand': (string | number)[];
        'prefer-arrow-callback': number;
        'prefer-const': number;
        'prefer-spread': number;
        'prefer-template': number;
        'rest-spread-spacing': (string | number)[];
        'sort-imports': number;
        'yield-star-spacing': (string | number)[];
    };
    overrides: {
        files: string[];
        parser: string;
        parserOptions: {
            ecmaVersion: number;
            sourceType: string;
            ecmaFeatures: {
                jsx: boolean;
                legacyDecorators: boolean;
            };
            warnOnUnsupportedTypeScriptVersion: boolean;
        };
        extends: string[];
        plugins: string[];
        rules: {
            'default-case': string;
            '@typescript-eslint/array-type': (string | {
                default: string;
            })[];
            '@typescript-eslint/ban-ts-comment': string;
            'no-unused-vars': string;
            '@typescript-eslint/no-unused-vars': string;
            '@typescript-eslint/class-literal-property-style': string[];
            '@typescript-eslint/consistent-type-definitions': string[];
            '@typescript-eslint/consistent-type-imports': (string | {
                prefer: string;
            })[];
            '@typescript-eslint/explicit-member-accessibility': (string | {
                accessibility: string;
                ignoredMethodNames: string[];
                overrides: {
                    accessors: string;
                    constructors: string;
                    methods: string;
                    properties: string;
                    parameterProperties: string;
                };
            })[];
            '@typescript-eslint/member-delimiter-style': (string | {
                multiline: {
                    delimiter: string;
                    requireLast: boolean;
                };
                singleline: {
                    delimiter: string;
                    requireLast: boolean;
                };
            })[];
            '@typescript-eslint/method-signature-style': string[];
            '@typescript-eslint/type-annotation-spacing': (string | {
                after: boolean;
            })[];
            '@typescript-eslint/no-namespace': number;
            'brace-style': string;
            '@typescript-eslint/brace-style': string[];
            'comma-spacing': string;
            '@typescript-eslint/comma-spacing': (string | {
                before: boolean;
                after: boolean;
            })[];
            'func-call-spacing': string;
            '@typescript-eslint/func-call-spacing': string[];
            indent: string;
            '@typescript-eslint/indent': (string | number | {
                SwitchCase: number;
            })[];
            'keyword-spacing': string;
            '@typescript-eslint/keyword-spacing': (string | {
                before: boolean;
                after: boolean;
            })[];
            'lines-between-class-members': string;
            '@typescript-eslint/lines-between-class-members': string[];
            'object-curly-spacing': string;
            '@typescript-eslint/object-curly-spacing': (string | {
                arraysInObjects: boolean;
                objectsInObjects: boolean;
            })[];
            'no-array-constructor': string;
            '@typescript-eslint/no-array-constructor': string;
            'space-infix-ops': string;
            '@typescript-eslint/space-infix-ops': (string | {
                int32Hint: boolean;
            })[];
            'no-dupe-class-members': string;
            quotes: string;
            '@typescript-eslint/quotes': string[];
            semi: string;
            '@typescript-eslint/semi': string[];
            'space-before-function-paren': string;
            '@typescript-eslint/space-before-function-paren': string[];
        };
    }[];
};
