var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/eslintReact.ts
var eslintReact_exports = {};
__export(eslintReact_exports, {
  eslintReact: () => eslintReact
});
module.exports = __toCommonJS(eslintReact_exports);
var import_eslintBaseRules = require("./eslintBaseRules");
var import_eslintImportRules = require("./eslintImportRules");
var import_eslintJsxAndHooksRules = require("./eslintJsxAndHooksRules");
var import_eslintTypescriptRules = require("./eslintTypescriptRules");
var eslintReact = {
  root: true,
  parser: "babel-eslint",
  extends: ["eslint:recommended"],
  plugins: [
    "import",
    "jsx-a11y",
    "react",
    "react-hooks",
    "@typescript-eslint"
  ],
  env: {
    browser: true,
    commonjs: true,
    es6: true,
    jest: true,
    node: true
  },
  parserOptions: {
    ecmaVersion: 2018,
    sourceType: "module",
    ecmaFeatures: {
      legacyDecorators: true,
      jsx: true
    }
  },
  settings: { react: { version: "detect" } },
  rules: {
    ...import_eslintBaseRules.eslintBaseRules,
    ...import_eslintImportRules.eslintImportRules,
    ...import_eslintJsxAndHooksRules.eslintJsxAndHooksRules
  },
  overrides: [
    {
      files: [
        "**/*.ts",
        "**/*.tsx"
      ],
      parser: "@typescript-eslint/parser",
      parserOptions: {
        ecmaVersion: 2018,
        sourceType: "module",
        ecmaFeatures: {
          jsx: true,
          legacyDecorators: true
        },
        // typescript-eslint specific options
        warnOnUnsupportedTypeScriptVersion: true
      },
      extends: ["plugin:@typescript-eslint/recommended"],
      plugins: ["@typescript-eslint"],
      rules: { ...import_eslintTypescriptRules.eslintTypescriptRules }
    }
  ]
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  eslintReact
});
//# sourceMappingURL=eslintReact.js.map
