export declare const eslintTypescriptRules: {
    /**
     * core rule
     */
    'default-case': string;
    '@typescript-eslint/array-type': (string | {
        default: string;
    })[];
    '@typescript-eslint/ban-ts-comment': string;
    'no-unused-vars': string;
    '@typescript-eslint/no-unused-vars': string;
    '@typescript-eslint/class-literal-property-style': string[];
    '@typescript-eslint/consistent-type-definitions': string[];
    '@typescript-eslint/consistent-type-imports': (string | {
        prefer: string;
    })[];
    '@typescript-eslint/explicit-member-accessibility': (string | {
        accessibility: string;
        ignoredMethodNames: string[];
        overrides: {
            accessors: string;
            constructors: string;
            methods: string;
            properties: string;
            parameterProperties: string;
        };
    })[];
    '@typescript-eslint/member-delimiter-style': (string | {
        multiline: {
            delimiter: string;
            requireLast: boolean;
        };
        singleline: {
            delimiter: string;
            requireLast: boolean;
        };
    })[];
    '@typescript-eslint/method-signature-style': string[];
    '@typescript-eslint/type-annotation-spacing': (string | {
        after: boolean;
    })[];
    '@typescript-eslint/no-namespace': number;
    /**
     * extension rule
     */
    'brace-style': string;
    '@typescript-eslint/brace-style': string[];
    'comma-spacing': string;
    '@typescript-eslint/comma-spacing': (string | {
        before: boolean;
        after: boolean;
    })[];
    'func-call-spacing': string;
    '@typescript-eslint/func-call-spacing': string[];
    indent: string;
    '@typescript-eslint/indent': (string | number | {
        SwitchCase: number;
    })[];
    'keyword-spacing': string;
    '@typescript-eslint/keyword-spacing': (string | {
        before: boolean;
        after: boolean;
    })[];
    'lines-between-class-members': string;
    '@typescript-eslint/lines-between-class-members': string[];
    'object-curly-spacing': string;
    '@typescript-eslint/object-curly-spacing': (string | {
        arraysInObjects: boolean;
        objectsInObjects: boolean;
    })[];
    'no-array-constructor': string;
    '@typescript-eslint/no-array-constructor': string;
    'space-infix-ops': string;
    '@typescript-eslint/space-infix-ops': (string | {
        int32Hint: boolean;
    })[];
    'no-dupe-class-members': string;
    quotes: string;
    '@typescript-eslint/quotes': string[];
    semi: string;
    '@typescript-eslint/semi': string[];
    'space-before-function-paren': string;
    '@typescript-eslint/space-before-function-paren': string[];
};
