export declare const stylelint: {
    extends: string[];
    plugins: string[];
    rules: {
        'at-rule-no-unknown': boolean;
        'block-no-empty': boolean;
        'color-no-invalid-hex': boolean;
        'comment-no-empty': boolean;
        'declaration-block-no-duplicate-custom-properties': boolean;
        'declaration-block-no-duplicate-properties': (boolean | {
            ignore: string[];
        })[];
        'declaration-block-no-shorthand-property-overrides': boolean;
        'font-family-no-duplicate-names': boolean;
        'font-family-no-missing-generic-family-keyword': boolean;
        'function-calc-no-unspaced-operator': boolean;
        'function-linear-gradient-no-nonstandard-direction': boolean;
        'keyframe-declaration-no-important': boolean;
        'media-feature-name-no-unknown': boolean;
        'named-grid-areas-no-invalid': boolean;
        'no-duplicate-at-import-rules': boolean;
        'no-duplicate-selectors': boolean;
        'no-empty-source': boolean;
        'no-extra-semicolons': boolean;
        'no-invalid-double-slash-comments': boolean;
        'no-invalid-position-at-import-rule': boolean;
        'no-irregular-whitespace': boolean;
        'property-no-unknown': any;
        'selector-pseudo-element-no-unknown': boolean;
        'selector-pseudo-class-no-unknown': (boolean | {
            ignorePseudoClasses: string[];
        })[];
        'no-descending-specificity': any;
        'selector-type-no-unknown': (boolean | {
            ignore: string[];
        })[];
        'string-no-newline': boolean;
        'unit-no-unknown': boolean;
        'declaration-block-single-line-max-declarations': number;
        'declaration-block-no-redundant-longhand-properties': any;
        'declaration-colon-newline-after': string;
        'font-family-name-quotes': string;
        'function-name-case': string;
        'function-url-quotes': any;
        'max-line-length': number;
        'number-max-precision': any;
        'property-no-vendor-prefix': any;
        'rule-empty-line-before': (string | {
            except: string[];
            ignore: string[];
        })[];
        'selector-class-pattern': any;
        'selector-list-comma-newline-after': string;
        'selector-type-case': string;
        'block-opening-brace-space-before': string;
        'block-opening-brace-space-after': string;
        'block-opening-brace-newline-after': string;
        'block-opening-brace-newline-before': string;
        'block-closing-brace-space-before': string;
        'block-closing-brace-space-after': string;
        'block-closing-brace-newline-after': string;
        'block-closing-brace-newline-before': string;
        'block-closing-brace-empty-line-before': string;
        'declaration-block-trailing-semicolon': string;
        'declaration-block-semicolon-space-before': string;
        'declaration-block-semicolon-space-after': string;
        'declaration-block-semicolon-newline-after': string;
        'declaration-empty-line-before': (string | {
            except: string[];
        })[];
        'declaration-colon-space-before': string;
        'declaration-colon-space-after': string;
        'declaration-bang-space-before': string;
        'declaration-bang-space-after': string;
        'selector-list-comma-space-before': string;
        'selector-list-comma-space-after': string;
        'selector-pseudo-element-case': string;
        'selector-pseudo-class-parentheses-space-inside': string;
        'selector-pseudo-class-case': string;
        'selector-descendant-combinator-no-non-space': boolean;
        'selector-combinator-space-before': string;
        'selector-combinator-space-after': string;
        'selector-attribute-quotes': string;
        'selector-attribute-operator-space-before': string;
        'selector-attribute-operator-space-after': string;
        'selector-attribute-brackets-space-inside': string;
        'media-query-list-comma-space-before': string;
        'media-query-list-comma-space-after': string;
        'media-query-list-comma-newline-before': string;
        'media-query-list-comma-newline-after': string;
        'media-feature-range-operator-space-before': string;
        'media-feature-range-operator-space-after': string;
        'media-feature-parentheses-space-inside': string;
        'media-feature-name-case': string;
        'media-feature-colon-space-before': string;
        'media-feature-colon-space-after': string;
        'at-rule-semicolon-newline-after': string;
        'at-rule-name-space-after': string;
        'at-rule-name-case': string;
        'at-rule-empty-line-before': (string | {
            except: string[];
        })[];
        indentation: number;
        linebreaks: string;
        'max-empty-lines': number;
        'no-eol-whitespace': boolean;
        'no-missing-end-of-source-newline': boolean;
        'no-empty-first-line': boolean;
        'comment-empty-line-before': (string | {
            except: string[];
        })[];
        'comment-whitespace-inside': string;
        'property-case': string;
        'custom-property-empty-line-before': (string | {
            except: string[];
        })[];
        'value-list-max-empty-lines': number;
        'value-list-comma-space-before': string;
        'value-list-comma-space-after': string;
        'value-list-comma-newline-before': string;
        'value-list-comma-newline-after': string;
        'value-keyword-case': string;
        'unit-case': string;
        'string-quotes': string;
        'number-no-trailing-zeros': boolean;
        'number-leading-zero': string;
        'function-whitespace-after': string;
        'function-parentheses-space-inside': string;
        'function-parentheses-newline-inside': string;
        'function-max-empty-lines': number;
        'function-comma-space-before': string;
        'function-comma-space-after': string;
        'function-comma-newline-before': string;
        'function-comma-newline-after': string;
        'color-hex-length': string;
        'color-hex-case': string;
        'at-rule-no-vendor-prefix': boolean;
        'media-feature-name-no-vendor-prefix': boolean;
        'selector-pseudo-element-colon-notation': string;
        'selector-no-vendor-prefix': boolean;
        'selector-max-empty-lines': number;
        'value-no-vendor-prefix': any;
        'shorthand-property-no-redundant-values': boolean;
        'length-zero-no-unit': boolean;
        'color-function-notation': any;
        'hue-degree-notation': string;
        'alpha-value-notation': string;
    };
    ignoreFiles: string[];
};
